import 'dart:js_interop';

@JS('__MAPFLOW_CONFIG__')
external _MapflowConfig? get _config;

extension type _MapflowConfig(JSObject _) implements JSObject {
  external JSString? get mapboxAccessToken;
  external JSString? get mapboxStyle;
}

String mapboxAccessToken() => _config?.mapboxAccessToken?.toDart ?? '';

String mapboxStyle() => _config?.mapboxStyle?.toDart ?? '';
